# state_circle.cpp File Reference

Template File. More...

`#include <gtkmm/dialog.h>`
`#include <gtkmm/entry.h>`
`#include <synfig/valuenode_dynamiclist.h>`
`#include <synfigapp/action_system.h>`
`#include <synfig/valuenode_bline.h>`
`#include "state_circle.h"`
`#include "canvasview.h"`
`#include "workarea.h"`
`#include "app.h"`
`#include <synfigapp/action.h>`
`#include "event_mouse.h"`
`#include "event_layerclick.h"`
`#include "toolbox.h"`
`#include "dialog_tooloptions.h"`
`#include <gtkmm/optionmenu.h>`
`#include "duck.h"`
`#include "widget_enum.h"`
`#include <synfigapp/main.h>`
`#include "general.h"`

## Enumerations

enum | CircleFalloff { CIRCLE_SQUARED = 0, CIRCLE_INTERPOLATION_LINEAR = 1, CIRCLE_COSINE = 2, CIRCLE_SIGMOND = 3, CIRCLE_SQRT = 4, CIRCLE_NUM_FALLOFF }

## Detailed Description

Template File.

$Id$

## Enumeration Type Documentation

enum CircleFalloff

Enumerator:

  CIRCLE_SQUARED |
  CIRCLE_INTERPOLATION_LINEAR |
  CIRCLE_COSINE |
  CIRCLE_SIGMOND |
  CIRCLE_SQRT |
  CIRCLE_NUM_FALLOFF |